Summary:		Minisip library providing various C++ utility classes
Name:			libmutil
Version:		0.8.0
Release:		0.3.20100319svn3760%{?dist}
License:		LGPLv2+
URL:			http://www.minisip.org/
Group:			System Environment/Libraries
# svn export -r 3760  svn://svn.minisip.org/minisip/trunk/libmutil libmutil-0.8.0
# tar cjf libmutil-0.8.0.tar.bz2 libmutil-0.8.0/
Source0:		%{name}-%{version}.tar.bz2
BuildRequires:		autoconf
BuildRequires:		automake
BuildRequires:		libtool
BuildRequires:		libtool-ltdl-devel
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
libmutil is a library providing convenient C++ utilities (threads, mutexes,
memory object management, ...). It is used by the minisip project.

%package devel
Summary:		Development files for the libmutil library
# %%{_datadir}/aclocal/winfuncs.m4 is under GPLv2+
License:		LGPLv2+ and GPLv2+
Group:			Development/Libraries
Requires:		%{name} = %{version}-%{release}
Requires:		automake
Requires:		pkgconfig


%description devel
This package contains the development files for library %{name}.

%prep
%setup -q
# Fix DOS line-endings
for f in examples/*; do
	sed "s|\r||g" $f > $f.new
	touch -r $f $f.new
	mv $f.new $f
done


%build
sh ./bootstrap
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la
# Removed installed examples
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS README COPYING.LIB
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%doc examples/mutextest.cpp
%doc examples/semaphoretest.cpp
%doc examples/threadtest.cpp
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}
%{_datadir}/aclocal/*.m4


%changelog
* Thu Sep 23 2010 Peter Lemenkov <lemenkov@gmail.com> - 0.8.0-0.3.20100319svn3760
- Changed descriptions
- Fixed wrong line-encoding of examples

* Thu Sep 23 2010 Peter Lemenkov <lemenkov@gmail.com> - 0.8.0-0.2.20100319svn3760
- Clarified licensing terms
- Installed example sources as docs

* Mon Aug 23 2010 Peter Lemenkov <lemenkov@gmail.com> - 0.8.0-0.1.20100319svn3760
- Initial package for Fedora

* Thu Oct 11 2008 Erik Eliasson <ere@kth.se>
- new upstream release

* Fri Mar 18 2005 Johan Bilien <jobi@via.ecp.fr>
- new upstream release

* Fri Feb 18 2005 Johan Bilien <jobi@via.ecp.fr>
- new upstream release

* Mon Nov 22 2004 Johan Bilien <jobi@via.ecp.fr>
- new upstream release

* Wed Jun 9 2004 Johan Bilien <jobi@via.ecp.fr>
- initial release

